Add Monitor Domain
curl --request POST \
--url https://api.campaigncleaner.com/v1/monitor_add_domain \
--header 'Content-Type: application/json' \
--data '
{
"domain": "news.example.com",
"alerts_only": false
}
'import requests
url = "https://api.campaigncleaner.com/v1/monitor_add_domain"
payload = {
"domain": "news.example.com",
"alerts_only": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'news.example.com', alerts_only: false})
};
fetch('https://api.campaigncleaner.com/v1/monitor_add_domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/monitor_add_domain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'news.example.com',
'alerts_only' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/monitor_add_domain"
payload := strings.NewReader("{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/monitor_add_domain")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/monitor_add_domain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}"
response = http.request(request)
puts response.read_body{
"domain": {
"domain_id": 13,
"domain": "news.example.com",
"purpose": "monitor",
"status": "pending",
"created_at": "2026-10-20T09:15:00Z",
"verified_at": null,
"last_checked_at": null,
"message_count": 0,
"dns_record": {
"type": "TXT",
"host": "_cc-verify.news.example.com",
"value": "cc-verify=3f9c0b1e7a5d4c2e9b8a7f6e5d4c3b2a"
}
},
"next_step": "Publish the DNS TXT record, then call monitor_verify_domain."
}Inbox Placement Monitor
Add Monitor Domain
The monitor_add_domain API adds a domain to your account. Publish the returned DNS TXT record, then call monitor_verify_domain. Freemail and shared sending domains (gmail.com, sendgrid.net, …) can’t be added.
Requires an active plan that includes Inbox Placement Monitor. API keys created by a team member with the User role can’t make changes. Limit: 20 domains added an hour.
Header:
X-CC-API-Key: Your API Key
Request Body:
Required:
- domain: The domain you send From, e.g. example.com. Optional:
- alerts_only: (true/false) True to verify the domain only so alerts can be sent to addresses at it (e.g. your company domain).
Response (201):
- domain: The new domain (same fields as monitor_get_domains), including the dns_record to publish.
- next_step: What to do next.
POST
/
v1
/
monitor_add_domain
Add Monitor Domain
curl --request POST \
--url https://api.campaigncleaner.com/v1/monitor_add_domain \
--header 'Content-Type: application/json' \
--data '
{
"domain": "news.example.com",
"alerts_only": false
}
'import requests
url = "https://api.campaigncleaner.com/v1/monitor_add_domain"
payload = {
"domain": "news.example.com",
"alerts_only": False
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'news.example.com', alerts_only: false})
};
fetch('https://api.campaigncleaner.com/v1/monitor_add_domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.campaigncleaner.com/v1/monitor_add_domain",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'domain' => 'news.example.com',
'alerts_only' => false
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.campaigncleaner.com/v1/monitor_add_domain"
payload := strings.NewReader("{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.campaigncleaner.com/v1/monitor_add_domain")
.header("Content-Type", "application/json")
.body("{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.campaigncleaner.com/v1/monitor_add_domain")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"domain\": \"news.example.com\",\n \"alerts_only\": false\n}"
response = http.request(request)
puts response.read_body{
"domain": {
"domain_id": 13,
"domain": "news.example.com",
"purpose": "monitor",
"status": "pending",
"created_at": "2026-10-20T09:15:00Z",
"verified_at": null,
"last_checked_at": null,
"message_count": 0,
"dns_record": {
"type": "TXT",
"host": "_cc-verify.news.example.com",
"value": "cc-verify=3f9c0b1e7a5d4c2e9b8a7f6e5d4c3b2a"
}
},
"next_step": "Publish the DNS TXT record, then call monitor_verify_domain."
}
